# Class ViewerColumn

java.lang.Object
org.eclipse.jface.viewers.ViewerColumn

Direct Known Subclasses:
  `TableViewerColumn, TreeViewerColumn`

public abstract class ViewerColumn extends Object
Instances of this class represent a column of a `ColumnViewer`. Label providers and editing support can be configured for each column separately. Concrete subclasses of `ColumnViewer` should implement a matching concrete subclass of `ViewerColumn`.

Since:
  3.3

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ViewerColumn(ColumnViewer viewer, Widget columnOwner)`
Create a new instance of the receiver at columnIndex.

## Method Summary

Modifier and Type
Method
Description
`ColumnViewer`
`getViewer()`
Returns the viewer of this viewer column.
`protected void`
`handleDispose()`
Disposes of the label provider (if set), unregisters the listener and nulls the references to the label provider and editing support.
`void`
`setEditingSupport(EditingSupport editingSupport)`
Set the editing support.
`void`
`setLabelProvider(CellLabelProvider labelProvider)`
Set the label provider for the column.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewerColumn

protected ViewerColumn(ColumnViewer viewer, Widget columnOwner)
Create a new instance of the receiver at columnIndex.

Parameters:
  `viewer` - the viewer the column is part of
  `columnOwner` - the widget owning the viewer in case the widget has no columns this could be the widget itself

## Method Details

### setLabelProvider

public void setLabelProvider(CellLabelProvider labelProvider)
Set the label provider for the column. Subclasses may extend but must call the super implementation.

Parameters:
  `labelProvider` - the new `CellLabelProvider`

### setEditingSupport

public void setEditingSupport(EditingSupport editingSupport)
Set the editing support. Subclasses may extend but must call the super implementation.

Users setting up an editable `TreeViewer` or `TableViewer` with more than 1 column have to pass the SWT.FULL_SELECTION style bit when creating the viewer

Parameters:
  `editingSupport` - The `EditingSupport` to set.

### handleDispose

protected void handleDispose()
Disposes of the label provider (if set), unregisters the listener and nulls the references to the label provider and editing support. This method is called when the underlying widget is disposed. Subclasses may extend but must call the super implementation.

### getViewer

public ColumnViewer getViewer()
Returns the viewer of this viewer column.

Returns:
  Returns the viewer.
Since:
  3.4